Help with jailbreaking and Cydia for iPhones, iPads, and iPod touches.

Instructions for jailbreaking iOS 8.0-8.1.2. See /r/jailbreak on Reddit, @PanguTeam, and @TaiG_jailbreak for updates.
How to jailbreak iOS 7.1-7.1.2 (using Pangu). How to jailbreak iOS 6.0-6.1.6.

Before asking a question, check Frequently Asked Questions to find quick answers!
How to fix some mysterious problems. If you'd like to ask for live help, you can join our chat room.

So, I have an iPhone 3GS with software 4.1 and baseband 05.13.04 on it. I can successfully jailbreak it and unlock it with redsn0w and ultrasn0w, but for whatever reasons I just can't install ios 6.0.1. In Cydia, and on my computer I have the SHSH blobs saved for 4.1 and 6.0.1 but every time I try to either restore using redsn0w, or install preserving baseband or jailbreak and even using iTunes through shift and then finding the 6.0.1 ispw I've downloaded and even through iTunes regular upgrade process, my phone just will not let it upgrade. I consistently get error 20 or 21 and some of the software I want requires 5.x or higher. The thing that gets me is I can't upgrade through iTunes the normal way. My serial is 2010, 12th week for the manufacture so it's not the newer boot rom although when I notice after trying to upgrade in redsn0w, it sometimes it says new br. Not sure why.

What would happen when I try to upgrade to 6.x through redsn0w is it would get to the stage where it's waiting for the phone to reboot, but it never does...and actually stays off. At that point I can use tinyumbrella to kick it out of recovery mode...but it just goes to the apple logo and reboots back to the apple logo and eventually goes into recovery with the itunes connection logo.

So, am I doing something wrong?

asked 04 Nov '12, 09:12

Arelle's gravatar image

Arelle
11112


Best way to fix this is to use the redsn0w restore located in "Extras>More>Restore' . You do not need any shsh blobs for iOS 6.0.1 as it is currently the newest firmware. Once you click the restore, redsn0w will ask you if you want to preserve baseband.

link

answered 04 Nov '12, 10:21

iAdam1n's gravatar image

iAdam1n ♦
28.4k82125

Okay, I'll try that. I think I may have before though not too sure. Out of curiosity, if I forgot to preserve the baseband, which one would it upgrade to after installing the 6.0.1? Would it become unlockable by software or are all 3GS phone unlockable? Oh, I almost forgot...one of the errors I was getting installing 6.0.1 was through redsn0w saying the it was missing keys.plist ...and I think that may have been what's stopping me from upgrading. But I'm trying your suggestion right now and will let you know how it goes. Thanks.

(04 Nov '12, 14:15) Arelle Arelle's gravatar image

So it went through the whole process and I did the recovery fix through redsn0w and after uploading the second stage it stops and says it's missing keys.plist data for this build. :-( Not sure what that means and how to fix it...

(04 Nov '12, 14:30) Arelle Arelle's gravatar image

You can't preserve the baseband, as no software can make iOS 6.0.1 custom ipsw's yet. You will have to restore with iTunes, then upgrade the baseband to 6.15 and downgrade it to 5.13 (both with redsn0w).

You do have the new bootrom. Old bootrom was only made up intil week 40 of 2009. You're getting bootrom and NOR mixed up; your phone isn't so new that the iPad baseband will brick it, but it's not old bootrom.

link

answered 04 Nov '12, 14:31

spockers's gravatar image

spockers ♦♦
60.3k349152

Ahh, I see. So maybe there's no hope for me...lol. I just tried and I'm getting the missing keys.plist error when it's supposed to boot for the second time and upload the ramdisk, etc. So, I will try through iTunes.

(04 Nov '12, 15:09) Arelle Arelle's gravatar image

Okay, so I figured something out. The errors I was getting were referring to the USB ports and the cable and computer, etc. In otherwords, I shut down OSX and rebooted into Windows 7 and I was able to restore in itunes to 6.0.1 witho no problem at all. I'm hoping the modem firmware that's now 05.16.07 is downloadable or unlockable...but even if not, the officail unlock is pretty cheap...I should just do that one anyway. Well, thanks for the help guys...very much appreciated. Now let's see if I can jailbreak and unlock this baby...before I sell it...lol.

link

answered 04 Nov '12, 17:41

Arelle's gravatar image

Arelle
11112

Install iPad baseband then use the downgrade. Once you have done this, use ultrasn0w + ultrasn0w fixer to unlock.

(04 Nov '12, 17:43) iAdam1n ♦ iAdam1n's gravatar image

Okay...so now when I try to upgrade the baseband...or even just jailbreak, i get exploit failed. Gonna go back to the drawing board :-)

link

answered 04 Nov '12, 23:13

Arelle's gravatar image

Arelle
11112

Your answer: (please use the "add new comment" button unless you are actually answering the original question)
toggle preview

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "Title")
  • image?![alt text](/path/img.jpg "Title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Tags:

×7,527
×2,059
×676
×553

Asked: 04 Nov '12, 09:12

Seen: 10,504 times

Last updated: 04 Nov '12, 23:13

JailbreakQA is by chpwn and comex.
About JailbreakQA. Powered by OSQA.